Kohinos 1 Logiciel de gestion d'une MLC (Monnaie Locale Complémentaire)

Static Public Member Functions | Protected Member Functions | List of all members
Ekyna\Component\Payum\Payzen\PayzenGatewayFactory Class Reference
Inheritance diagram for Ekyna\Component\Payum\Payzen\PayzenGatewayFactory:

## Static Public Member Functions
static | build (array $defaultConfig, GatewayFactoryInterface $coreGatewayFactory=null)

## Protected Member Functions
| populateConfig (ArrayObject $config)

## Member Function Documentation

## ◆ build()

static Ekyna\Component\Payum\Payzen\PayzenGatewayFactory::build | ( | array | $defaultConfig,
|  | GatewayFactoryInterface | $coreGatewayFactory = `null`
| ) |  |
| static

Builds a new factory.

Parameters

  array | $defaultConfig |
  GatewayFactoryInterface | $coreGatewayFactory |

Returns
  PayzenGatewayFactory

## ◆ populateConfig()

Ekyna\Component\Payum\Payzen\PayzenGatewayFactory::populateConfig | ( | ArrayObject | $config | ) |
| protected

@inheritDoc

The documentation for this class was generated from the following file:

- lib/ekyna/payum-payzen/PayzenGatewayFactory.php